Bug 440213 - Unable to delete certificates in Certificates extension
Unable to delete certificates in Certificates extension
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: epiphany-extensions (Show other bugs)
9
All Linux
high Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 07:08 EDT by Martin Sourada
Modified: 2008-07-25 10:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 10:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 336072 None None None Never
Launchpad 42476 None None None Never

  None (edit)
Description Martin Sourada 2008-04-02 07:08:33 EDT
Description of problem:
When I try to delete certificate, an pop-up window with no text and not working
Cancel and OK buttons appears. When trying to import my new koji certificate,
after asking for password it fails for "unknown reasons". The same actions work
in Firefox.

Version-Release number of selected component (if applicable):
epiphany-2.22.0-3.fc9.i386
epiphany-extensions-2.22.0-1.fc9.i386
xulrunner-1.9-0.51.beta5rc2.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. Go to Tools > Manage Certificates 
2. Go to Your Certificates tab
3. Try to delete/import a certificate
  
Actual results:
Deleting/Importing isn't working. Deleting shows empty dialog, importing after
asking for certificate and password shows:
The PKCS #12 operation failed for unknown reasons.

Expected results:
Deleting/Importing succeed.

Additional info:
Same actions with same certificates (and their passwords) work in Firefox 3.
Comment 1 Bug Zapper 2008-05-14 04:34:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2008-07-01 19:42:50 EDT
This should be already fixed in meanwhile. Martine, could you see this problem
either in Rawhide or in Fedora 9 with all updates applied?

Thanks for reporting the issue
Comment 3 Martin Sourada 2008-07-02 03:16:41 EDT
Importing works, deleting still shows empty dialogue with two buttons, both of
which does not react on clicking.

epiphany-extensions-2.22.1-2.fc9.i386
epiphany-2.22.2-2.fc9.i386
Comment 4 Matěj Cepl 2008-07-25 10:19:11 EDT
We found that this bug has been already registered in the upstream database
(http://bugzilla.gnome.org/show_bug.cgi?id=336072) and believe that it is more
appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.